<?php $this->view('ajax_loading_v'); ?>

<?php if (isset($msg_text)): ?>
    <script type="text/javascript">
        $(function(){
            var msg_text = "<?php echo $msg_text; ?>";
            $.facebox(msg_text);
        });
    </script>
<?php endif; ?>

<script type="text/javascript">
    $(function(){
        $('#alert_frm').css('display', 'none');
        $("#myform").validate({
            onkeyup: false,
            messages: {
                password2: {
                    equalTo: "กรอกรหัสผ่านให้ตรงกัน"
                }
            }
        });
        
        $.metadata.setType("attr", "validate");
    });

    function save(){
        $('#myform').submit();
        return false;
    }
</script>
<div class="textbox">
    <div class="toolbar">
        <div class="pull-left title"><?php echo $page_title; ?></div>
        <div class="pull-right">
            <a href="#" class="btn" onclick="return save();"><i class="icon-hdd"></i> บันทึกการเปลี่ยนแปลง</a>
            <?php echo anchor('main', "<i class='icon-remove-circle'></i> ปิด", array('class' => 'btn')); ?>
        </div>
        <div class="clear"></div>
    </div>
    <div class="textbox_content">
        <div class="alert alert-error" style="display:none" id="alert_frm"></div>
        <?php echo form_open('profile/save', array('id' => 'myform')); ?>
        <input type="hidden" id="id" name="id" value="<?php echo @$row['id']; ?>"/>
        <table border="0" cellpadding="4" cellspacing="1" class="tblform">
            <tbody>
                <tr>
                    <td class="td1" width="120">ประเภทสมาชิก :</td>
                    <td>
                        <?php
                        switch ($row['mem_type']) {
                            case '0':
                                echo "ผู้จองห้องประชุม";
                                break;
                            case '1':
                                echo "ผู้ดูแลระบบ";
                                break;
                            case '2':
                                echo "ผู้อนุมัติประจำแผนก";
                                break;
                        }
                        ?>
                        &nbsp;&nbsp;
                        <strong>สถานะ :</strong>
                        <?php
                        switch ($row['status']) {
                            case '0':
                                echo "รออนุมัติ";
                                break;
                            case '1':
                                echo "ใช้งาน";
                                break;
                            case '2':
                                echo "ระงับการใช้งาน";
                                break;
                        }
                        ?>
                    </td>
                </tr>
                <tr>
                    <td class="td1" width="150">ชื่อ-นามสกุล :<span class="required">*</span></td>
                    <td class="td2"><input type="text" class="txt required" name="name" style="width: 350px" value="<?php echo @$row['name']; ?>" /></td>
                </tr>
                <tr>
                    <td class="td1" width="150">ชื่อเข้าใช้งาน :</td>
                    <td class="td2"><?php echo @$row['username']; ?></td>
                </tr>
                <tr>
                    <td class="td1" width="150">รหัสผ่าน :</td>
                    <td class="td2"><input type="text" class="txt" id="password1" name="password1" value="" /> <span class="comment">ว่างไว้หากไม่ต้องการเปลี่ยน</span></td>
                </tr>
                <tr>
                    <td class="td1" width="150">ยืนยันรหัสผ่าน :</td>
                    <td class="td2"><input type="text" class="txt" id="password2" name="password2" equalTo="#password1" value="" /></td>
                </tr>
                <tr>
                    <td class="td1" width="150">ตำแหน่ง :<span class="required">*</span></td>
                    <td class="td2"><input type="text" class="txt required" name="position" style="width: 350px" value="<?php echo @$row['position']; ?>" /></td>
                </tr>
                <tr>
                    <td class="td1">สังกัดแผนก :<span class="required">*</span></td>
                    <td class="td2">
                        <select id="depart_id" name="depart_id" style="padding: 2px;" title="เลือกแผนก !" validate="required:true">
                            <option value="">*** เลือกแผนก ***</option>
                            <?php
                            foreach ($depart as $r):
                                $selected = ($r['id'] == @$row['depart_id']) ? 'selected' : '';
                                ?>

                                <option value="<?php echo $r['id']; ?>" <?php echo $selected; ?>><?php echo $r['name']; ?></option>
                            <?php endforeach; ?>
                        </select>
                    </td>
                </tr>
                <tr>
                    <td class="td1" width="150">โทรศัพท์(มือถือ) :</td>
                    <td class="td2">
                        <input type="text" class="txt" name="mobile" value="<?php echo @$row['mobile']; ?>" />&nbsp;&nbsp; เบอร์ติดต่อภายใน
                        <input type="text" class="txt" name="tel" value="<?php echo @$row['tel']; ?>" />
                    </td>
                </tr>
                <tr>
                    <td class="td1">อีเมลล์ :</td>
                    <td class="td2">
                        <input type="text" class="txt" name="email" value="<?php echo @$row['email']; ?>" style="width:350px"/>
                    </td>
                </tr>
            </tbody>
        </table>
        <?php echo form_close(); ?>
    </div>
</div>
